Subject: Fwd: Re: How to detect when to report noSuchInstance error?

From: Randy Presuhn <[email-masked]>
Date: Tue, 2 Jan 2001 12:00:50 -0800 (PST)

Hi -

I'm forwarding a post from David Harrington; I've added his new address
to the agentx "posters" list.

 -------------------------------------------------------
 Randy Presuhn           [email-masked]
 Voice: +1 408 546-1006  BMC Software, Inc.  1-3141
 Fax:   +1 408 965-0359  2141 North First Street
 http://www.bmc.com/     San José, California 95131  USA
 -------------------------------------------------------
 My opinions and BMC's are independent variables.
 -------------------------------------------------------

> Received: from tattler.bmc.com (tattler.bmc.com [172.17.0.117])
> 	by dorothy.bmc.com (8.8.6 (PHNE_12836)/8.8.6) with ESMTP id SAA17917;
> 	Mon, 1 Jan 2001 18:34:55 -0800 (PST)
> Received: from fw-us-hou1.bmc.com (localhost [127.0.0.1])
> 	by tattler.bmc.com (8.10.2/8.10.2) with SMTP id f022Xlu06912;
> 	Mon, 1 Jan 2001 20:33:47 -0600 (CST)
> Received: (from uucp@localhost)
> 	by ctron-dnm.ctron.com (8.8.7/8.8.7) id VAA07930;
> 	Mon, 1 Jan 2001 21:41:28 -0500 (EST)
> Received: from roc-mail2.ctron.com(134.141.72.230) by ctron-dnm.ctron.com via smap (4.1)
> 	id xma007922; Mon, 1 Jan 01 21:41:00 -0500
> Received: from ctron-exc1.ctron.com (ctron-exc1.ctron.com [134.141.77.90])
> 	by roc-mail2.ctron.com (8.8.7/8.8.7) with ESMTP id VAA14173;
> 	Mon, 1 Jan 2001 21:35:20 -0500 (EST)
> Received: from ctron-exc1.ctron.com (localhost [127.0.0.1]) by ctron-exc1.ctron.com with SMTP (Microsoft Exchange Internet Mail Service Version 5.5.2650.21)
> 	id ZM7PZN5R; Mon, 1 Jan 2001 21:35:22 -0500
> Received: from 134.141.150.20 by ctron-exc1.ctron.com (InterScan E-Mail VirusWall NT); Mon, 01 Jan 2001 21:35:13 -0500 (Eastern Standard Time)
> Message-ID: <[email-masked]>
> Date: Mon, 01 Jan 2001 21:30:49 -0500
> From: David Harrington <[email-masked]>
> Reply-To: [email-masked]
> Organization: Enterasys Networks
> X-Mailer: Mozilla 4.7 [en] (WinNT; I)
> X-Accept-Language: en,pdf
> MIME-Version: 1.0
> To: Randy Presuhn <[email-masked]>
> CC: [email-masked]
> Subject: Re: How to detect when to report noSuchInstance error?
> References: <[email-masked]>
> Content-Type: text/plain; charset=us-ascii
> Content-Transfer-Encoding: 7bit
> 
> 
> 
> Randy Presuhn wrote:
> > 
> > I think the noSuchName/noSuchObject/noSuchInstance distinction
> > introduced with SNMPv2 has not proven to be useful, but
> > eliminating it would be too painful to even contemplate.
> > 
> > Do any management applications vary their behaviour based
> > on which of these three error-status values shows up in
> > a response?  I suspect that most will handle them in the
> > same way, making the question largely academic.
> > 
> 
> As a developer for management applications, I think there is significant
> benefit from the distinction. 
> 
> During the discovery process, an application may check to see whether
> certain objects are supported by an agent to determine how to model the
> agent. Being able to check many objects in the same request without
> needing to predict which specific instances exist would certainly help
> this.
> 
> When doing row creation in some mibs, it is necessary to determine
> whether an instance already exists in a table. With the noSuchxxx
> distinctions, an application can send a single message with multiple
> proposed indexes to determine whether the table is supported by the
> agent, and to determine if one of the proposed indexes is available. 
> 
> Applications can properly respond to error conditions caused by the
> removal of a board from a chassis. If the response is noSuchName, the
> application can recognize that support for the table has been
> discontinued, rather than that the instance does not exist. This would
> be especially important when trying to determine an available row index.
> 
> I suspect most applications do not use it currently because most
> applications still do not support SNMPv2 or SNMPv3.
> 
> -- 
> ---
> David Harrington            Network Management Standards Architect
> [email-masked]           Office of the CTO
> +1 603 337 2614 - voice     Enterasys Networks
> +1 603 332 1524 - fax       Rochester NH, USA
>